<?php
/**
 * $Horde: troll/article.php,v 1.35 2005/01/03 14:35:35 jan Exp $
 *
 * Copyright 2000-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('TROLL_BASE', dirname(__FILE__));
require_once TROLL_BASE . '/lib/base.php';
require_once TROLL_BASE . '/lib/NNTP.php';
require_once 'Horde/Identity.php';

$title = _("Article");
Horde::addScriptFile('open_post_win.js');
require TROLL_TEMPLATES . '/common-header.inc';

/* Handle the 'blankarticle' case. */
if (Util::getFormData('blankarticle')) {
    echo '<div align="center" class="header">' . _("Pick an article from the list on the top") . '</div>';
    require $registry->get('templates', 'horde') . '/common-footer.inc';
    exit;
}

$articles = array();
$art_anchor = array();

if (isset($_SESSION['sorted_articles'])) {
    $articles = unserialize($_SESSION['sorted_articles']);
}
if (isset($_SESSION['articles_anchor'])) {
    $art_anchor = unserialize($_SESSION['articles_anchor']);
}

$article_number = Util::getFormData('article');
$group = Util::getFormData('group');

/* Make sure we have an NNTP stream. */
$troll_nntp = &Troll_NNTP::singleton();
$troll_nntp->changeGroup($group);

$identity = &Identity::singleton(array('troll', 'troll'));

$art = GetArticle($_SESSION['troll']['stream'], $article_number);

require TROLL_TEMPLATES . '/article/javascript.inc';
require TROLL_TEMPLATES . '/article/article-headers.inc';
echo $art['body'];
require TROLL_TEMPLATES . '/article/article-footers.inc';
