<?php

require_once 'Horde/MIME/Headers.php';
require_once TROLL_BASE . '/lib/version.php';

/** @constant TROLL_AGENT_HEADER The description of the Troll program to use in the 'User-Agent:' header. */
define('TROLL_AGENT_HEADER', 'Troll Messaging Program ' . TROLL_VERSION);

/**
 * The Troll_Headers:: class contains all functions related to handling
 * the headers of news messages in Troll.
 *
 * $Horde: troll/lib/MIME/Headers.php,v 1.4 2005/01/03 14:35:36 jan Exp $
 *
 * Copyright 2004-2005 Michael Slusarz <slusarz@bigworm.colorado.edu>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Michael Slusarz <slusarz@bigworm.colorado.edu>
 * @version $Revision: 1.4 $
 * @since   Troll 0.1
 * @package Troll
 */
class Troll_Headers extends MIME_Headers {

    /**
     * The User-Agent string to use.
     *
     * @var string $_agent
     */
    var $_agent = TROLL_AGENT_HEADER;

    /**
     * Returns a reference to a currently open IMAP stream.
     *
     * @see MIME_Headers::_getStream()
     */
    function &_getStream()
    {
        return $_SESSION['troll']['stream'];
    }

}
