<?php

require_once 'Horde/MIME/Viewer/images.php';

/**
 * The Troll_MIME_Viewer_images class allows images to be displayed
 * inline in a message.
 *
 * $Horde: troll/lib/MIME/Viewer/images.php,v 1.7 2005/01/03 14:35:37 jan Exp $
 *
 * Copyright 2002-2005 Michael Slusarz <slusarz@bigworm.colorado.edu>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Michael Slusarz <slusarz@bigworm.colorado.edu>
 * @version $Revision: 1.7 $
 * @since   Troll 0.0.4
 * @package Horde_MIME_Viewer
 */
class Troll_MIME_Viewer_images extends MIME_Viewer_images {

    /**
     * Render out the currently set contents.
     *
     * @access public
     *
     * @param array $params  An array with a reference to a MIME_Contents
     *                       object.
     *
     * @return string  The rendered text in HTML.
     */
    function render($params)
    {
        $contents =& $params[0];

        global $browser;

        if ($contents->viewAsAttachment()) {
            return parent::render($this->mime_part);
        }

        /* If render() is called outside of view.php, we need to generate
           an image tag to view.php. */
        if ($browser->isViewable($this->mime_part->getType())) {
            $alt = $this->mime_part->getName(false, true);
            return '<img src="' . $contents->urlView($this->mime_part, 'view_attach') . '" border="0" alt="' . $alt . '" title="' . $alt . '" />';
        } else {
            return '<i>' . _("Your browser does not support inline display of this image type") . '</i>.';
        }
    }

    /**
     * Return the content-type
     *
     * @access public
     *
     * @return string  The content-type of the output.
     */
    function getType()
    {
        if (MIME_Contents::viewAsAttachment()) {
            return parent::getType();
        } else {
            return 'text/html';
        }
    }

}
